Opened 8 years ago

Closed 2 months ago

Last modified 2 months ago

#6324 closed bug (fixed)

Haiku boot image fails on HP Vectra pentium 3 computer

Reported by: Karvjorm Owned by: nobody
Priority: normal Milestone: R1
Component: Drivers/Graphics/intel_810 Version: R1/alpha2
Keywords: Cc: Karvjorm
Blocked By: Blocking:
Has a Patch: no Platform: All

Description

I have tested this with two nightly builds in June. The last one was June 28, 2010 and obviously the latest nightly build.

When I put my Haiku ISO boot image CD-ROM to my laptop with plenty of RAM, I can boot the operating system and get the working desktop (and I could easily install Haiku to my laptop[, but I do not want to]). But if I put the same Haiku ISO boot image CD-ROM to an old Hewlett Packard Vectra desktop computer with only 512 MB RAM memory, the boot crashes when it should show images with black background. The same images can be shown in the picture in the following page

http://www.haiku-os.org/docs/userguide/en/bootloader.html

But in Vectra only a black screen with a color bar in the left top corner is shown.

I have tested this with two displays. First with LG FLATROL L1930LQ and then with hpL1520 (shown in the included picture).

My guess is that the reason is out of memory during boot. I can easily run Haiku in VMware image with 512MB RAM (setting), and maybe it could work in real hardware too, if I only were able to install the operating system. I have planned to move this hard drive to some other desktop computer with more RAM memory to install operating system and return then back to Vectra with working hard drive. But maybe we could try to fix this bug first.

Attachments (5)

haikuboot20100628.png (298.4 KB) - added by Karvjorm 8 years ago.
A Haiku boot crash with 512MB RAM memory.
haikubooterror.txt (18.7 KB) - added by Karvjorm 8 years ago.
Part of syslog copied from screen with touch typing (typos possible)
hpvectraboot20100721a.txt (54.8 KB) - added by Karvjorm 8 years ago.
The first syslog via null modem cable
hpvectraboot20100721b.txt (53.1 KB) - added by Karvjorm 8 years ago.
In this boot Video Primary Controller was changed from [PCI] to [AGP or Embedded Video]
syslog (455.1 KB) - added by Karvjorm 6 years ago.
Syslog of the working system.

Download all attachments as: .zip

Change History (31)

Changed 8 years ago by Karvjorm

Attachment: haikuboot20100628.png added

A Haiku boot crash with 512MB RAM memory.

comment:1 Changed 8 years ago by Karvjorm

The reason for the late ticket making is, that I wanted to test this with two displays and I had time to get another display first yesterday.

comment:2 Changed 8 years ago by anevilyak

If it fails that early on, it's unlikely to be RAM-related, there's hardly anything allocated that early in the boot process. Would you be able to get a list of the hardware in that box?

comment:3 in reply to:  2 Changed 8 years ago by Karvjorm

Replying to anevilyak:

If it fails that early on, it's unlikely to be RAM-related, there's hardly anything allocated that early in the boot process. Would you be able to get a list of the hardware in that box?

Yes, the processor is Pentium(R) III, CPU Speed 1000 MHz, Cache RAM 256 KB, Base Memory 640 KB, Extended Memory 522240 KB according to BIOS. What else you want to know?

Then, I have two that kind of Desktop computers that I purchased for testing purposes (almost free). I tested them with Kubuntu 10.4 ISO Boot Disk before acquire. At home I installed Kubuntu 10.4 to both computers and they worked fine. For example, I'm able to listen music, but for video watching 512KB RAM is not enough. The next step was to install Haiku to one of the computers, but it failed as I have described above. It failed with both computers.

comment:4 Changed 8 years ago by Karvjorm

OK, I used lspci, lsusb, lscpu etc. and got the following outputs:

lspci:

00:00.0 Host bridge: Intel Corporation 82815 815 Chipset Host Bridge and Memory Controller Hub (rev 02)
00:02.0 VGA compatible controller: Intel Corporation 82815 Chipset Graphics Controller (CGC) (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801AA PCI Bridge (rev 02)
00:1f.0 ISA bridge: Intel Corporation 82801AA ISA Bridge (LPC) (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801AA IDE Controller (rev 02)
00:1f.2 USB Controller: Intel Corporation 82801AA USB Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801AA SMBus Controller (rev 02)
00:1f.5 Multimedia audio controller: Intel Corporation 82801AA AC'97 Audio Controller (rev 02)
01:04.0 Ethernet controller: 3Com Corporation 3c905C-TX/TX-M [Tornado] (rev 78)

lscpu:

Architecture:          i686
CPU(s):                1
S?ikeit? per ydin:     1
Ytimi? per kanta:      1
Prosessorikantoja:     1
Valmistajan tunniste:  GenuineIntel
CPU family:            6
Malli:                 8
Stepping:              10
CPU MHz:               996.811

Oops: it is partly localized. :) "Säikeitä per ydin" is something like "Threads per core", "Ytimiä per kanta" is "Cores per base" (??), "Malli" is "Model"

lshw:

haiku1
    description: Mini Tower Computer
    product: HP Vectra
    vendor: Hewlett-Packard
    version: VL400
    serial: NL13614597
    width: 32 bits
    capabilities: smbios-2.2 dmi-2.2
    configuration: boot=normal chassis=mini-tower uuid=9D93D8C1-A76B-11D5-A1F7-59AF0BA8191A
  *-core
       description: Motherboard
       product: HP System Board
       vendor: Hewlett-Packard
       physical id: 0
       version: R3B
       serial: S630YKP0667BE01213
     *-firmware
          description: BIOS
          vendor: Phoenix Technologies Ltd.
          physical id: 0
          version: IP.01.07FI (04/11/2001)
          size: 105KiB
          capacity: 448KiB
          capabilities: isa pci pnp apm upgrade shadowing escd cdboot bootselect edd acpi usb agp ls120boot zipboot
     *-cpu
          description: CPU
          product: Pentium III (Coppermine)
          vendor: Intel Corp.
          physical id: 4
          bus info: cpu@0
          version: 6.8.10
          slot: Socket 370
          size: 1GHz
          width: 32 bits
          clock: 133MHz
          capabilities: fpu fpu_exception wp vme de pse tsc msr pae mce cx8 mtrr pge mca cmov pse36 mmx fxsr sse up
        *-cache:0
             description: L1 cache
             physical id: 8
             slot: L1 Cache
             size: 32KiB
             capabilities: asynchronous internal write-back unified
        *-cache:1
             description: L2 cache
             physical id: 9
             slot: L2 Cache
             size: 256KiB
             capacity: 2MiB
             capabilities: internal write-back unified
     *-memory
          description: System Memory
          physical id: 23
          slot: System board or motherboard
          size: 512MiB
          capacity: 512MiB
        *-bank:0
             description: DIMM DRAM Synchronous
             physical id: 0
             slot: DIMM0
             size: 256MiB
             width: 32 bits
        *-bank:1
             description: DIMM DRAM Synchronous
             physical id: 1
             slot: DIMM1
             size: 256MiB
             width: 32 bits
     *-pci
          description: Host bridge
          product: 82815 815 Chipset Host Bridge and Memory Controller Hub
          vendor: Intel Corporation
          physical id: 100
          bus info: pci@0000:00:00.0
          version: 02
          width: 32 bits
          clock: 33MHz
          configuration: driver=agpgart-intel
          resources: irq:0
        *-display UNCLAIMED
             description: VGA compatible controller
             product: 82815 Chipset Graphics Controller (CGC)
             vendor: Intel Corporation
             physical id: 2
             bus info: pci@0000:00:02.0
             version: 02
             width: 32 bits
             clock: 66MHz
             capabilities: pm bus_master cap_list
             configuration: latency=0
             resources: memory:f0000000-f3ffffff(prefetchable) memory:ec000000-ec07ffff
        *-pci
             description: PCI bridge
             product: 82801AA PCI Bridge
             vendor: Intel Corporation
             physical id: 1e
             bus info: pci@0000:00:1e.0
             version: 02
             width: 32 bits
             clock: 33MHz
             capabilities: pci bus_master
             resources: ioport:2000(size=4096) memory:ec100000-ec1fffff memory:20000000-200fffff(prefetchable)
           *-network
                description: Ethernet interface
                product: 3c905C-TX/TX-M [Tornado]
                vendor: 3Com Corporation
                physical id: 4
                bus info: pci@0000:01:04.0
                logical name: eth0
                version: 78
                serial: 00:04:75:4f:9f:85
                size: 10MB/s
                capacity: 100MB/s
                width: 32 bits
                clock: 33MHz
                capabilities: pm bus_master cap_list rom ethernet physical tp mii 10bt 10bt-fd 100bt 100bt-fd autonegotiation
                configuration: autonegotiation=on broadcast=yes driver=3c59x duplex=half latency=80 link=no maxlatency=10 mingnt=10 multicast=yes port=MII speed=10MB/s
                resources: irq:5 ioport:2000(size=128) memory:ec100000-ec10007f memory:20000000-2001ffff(prefetchable)
        *-isa
             description: ISA bridge
             product: 82801AA ISA Bridge (LPC)
             vendor: Intel Corporation
             physical id: 1f
             bus info: pci@0000:00:1f.0
             version: 02
             width: 32 bits
             clock: 33MHz
             capabilities: isa bus_master
             configuration: latency=0
        *-ide
             description: IDE interface
             product: 82801AA IDE Controller
             vendor: Intel Corporation
             physical id: 1f.1
             bus info: pci@0000:00:1f.1
             logical name: scsi0
             logical name: scsi1
             version: 02
             width: 32 bits
             clock: 33MHz
             capabilities: ide bus_master emulated
             configuration: driver=ata_piix latency=0
             resources: irq:0 ioport:1f0(size=8) ioport:3f6 ioport:170(size=8) ioport:376 ioport:1800(size=16)
           *-disk
                description: ATA Disk
                product: SAMSUNG SP0411N
                physical id: 0
                bus info: scsi@0:0.0.0
                logical name: /dev/sda
                version: TW10
                serial: S01JJ30Y975156
                size: 37GiB (40GB)
                capabilities: partitioned partitioned:dos
                configuration: ansiversion=5 signature=3afb8350
              *-volume:0
                   description: EXT4 volume
                   vendor: Linux
                   physical id: 1
                   bus info: scsi@0:0.0.0,1
                   logical name: /dev/sda1
                   logical name: /
                   logical name: /scratchbox/users/jorma/scratchbox
                   logical name: /scratchbox/users/jorma/tmp
                   version: 1.0
                   serial: 423529cc-061d-4d80-9dfa-ad6d6126edaf
                   size: 30GiB
                   capacity: 30GiB
                   capabilities: primary bootable journaled extended_attributes large_files huge_files dir_nlink recover extents ext4 ext2 initialized
                   configuration: created=2010-06-26 19:31:37 filesystem=ext4 lastmountpoint=/�.>����௿ޯ߽�j߰�ה~�u^ �X�7�W/��~ޘ�Rߘ�R߀��௿ޯ߽~ް~�a modified=2010-07-17 14:11:12 mount.fstype=ext4 mount.options=rw,relatime,errors=remount-ro,barrier=1,data=ordered mounted=2010-07-17 14:11:32 state=mounted
              *-volume:1
                   description: Extended partition
                   physical id: 2
                   bus info: scsi@0:0.0.0,2
                   logical name: /dev/sda2
                   size: 6674MiB
                   capacity: 6674MiB
                   capabilities: primary extended partitioned partitioned:extended
                 *-logicalvolume:0
                      description: Linux filesystem partition
                      physical id: 5
                      logical name: /dev/sda5
                      capacity: 4767MiB
                 *-logicalvolume:1
                      description: Linux swap / Solaris partition
                      physical id: 6
                      logical name: /dev/sda6
                      capacity: 1906MiB
                      capabilities: nofs
           *-cdrom
                description: SCSI CD-ROM
                product: CD-ROM SR243T
                vendor: MITSUMI
                physical id: 1
                bus info: scsi@1:0.0.0
                logical name: /dev/cdrom
                logical name: /dev/scd0
                logical name: /dev/sr0
                version: L02F
                serial: [MITSUMI CD-ROM SR243T   L02F
                capabilities: removable audio
                configuration: ansiversion=5 status=nodisc
        *-usb
             description: USB Controller
             product: 82801AA USB Controller
             vendor: Intel Corporation
             physical id: 1f.2
             bus info: pci@0000:00:1f.2
             version: 02
             width: 32 bits
             clock: 33MHz
             capabilities: bus_master
             configuration: driver=uhci_hcd latency=0
             resources: irq:11 ioport:1820(size=32)
        *-serial UNCLAIMED
             description: SMBus
             product: 82801AA SMBus Controller
             vendor: Intel Corporation
             physical id: 1f.3
             bus info: pci@0000:00:1f.3
             version: 02
             width: 32 bits
             clock: 33MHz
             configuration: latency=0
             resources: ioport:1810(size=16)
        *-multimedia
             description: Multimedia audio controller
             product: 82801AA AC'97 Audio Controller
             vendor: Intel Corporation
             physical id: 1f.5
             bus info: pci@0000:00:1f.5
             version: 02
             width: 32 bits
             clock: 33MHz
             capabilities: bus_master
             configuration: driver=Intel ICH latency=0
             resources: irq:9 ioport:1200(size=256) ioport:1300(size=64)

lsusb:

Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

lshal:

Dumping 74 device(s) from the Global Device List:
-------------------------------------------------
udi = '/org/freedesktop/Hal/devices/computer'
  info.addons = {'hald-addon-cpufreq', 'hald-addon-acpi'} (string list)
  info.callouts.add = {'hal-storage-cleanup-all-mountpoints'} (string list)
  info.interfaces = {'org.freedesktop.Hal.Device.SystemPowerManagement'} (string list)
  info.product = 'Computer'  (string)
  info.subsystem = 'unknown'  (string)
  info.udi = '/org/freedesktop/Hal/devices/computer'  (string)
  org.freedesktop.Hal.Device.SystemPowerManagement.method_argnames = {'num_seconds_to_sleep', 'num_seconds_to_sleep', '', '', '', 'enable_power_save'} (string list)
  org.freedesktop.Hal.Device.SystemPowerManagement.method_execpaths = {'hal-system-power-suspend', 'hal-system-power-suspend-hybrid', 'hal-system-power-hibernate', 'hal-system-power-shutdown', 'hal-system-power-reboot', 'hal-system-power-set-power-save'} (string list)
  org.freedesktop.Hal.Device.SystemPowerManagement.method_names = {'Suspend', 'SuspendHybrid', 'Hibernate', 'Shutdown', 'Reboot', 'SetPowerSave'} (string list)
  org.freedesktop.Hal.Device.SystemPowerManagement.method_signatures = {'i', 'i', '', '', '', 'b'} (string list)
  org.freedesktop.Hal.version = '0.5.14'  (string)
  org.freedesktop.Hal.version.major = 0  (0x0)  (int)
  org.freedesktop.Hal.version.micro = 14  (0xe)  (int)
  org.freedesktop.Hal.version.minor = 5  (0x5)  (int)
  power_management.acpi.linux.version = '20090903'  (string)
  power_management.can_hibernate = true  (bool)
  power_management.can_suspend = true  (bool)
  power_management.can_suspend_hybrid = true  (bool)
  power_management.is_powersave_set = false  (bool)
  power_management.quirk.dpms_on = true  (bool)
  power_management.quirk.dpms_suspend = true  (bool)
  power_management.quirk.vbe_post = true  (bool)
  power_management.quirk.vbemode_restore = true  (bool)
  power_management.quirk.vbestate_restore = true  (bool)
  power_management.quirk.vga_mode_3 = true  (bool)
  power_management.type = 'acpi'  (string)
  system.board.product = 'HP System Board'  (string)
  system.board.serial = 'S630YKP0667BE01213'  (string)
  system.board.vendor = 'Hewlett-Packard'  (string)
  system.board.version = 'R3B'  (string)
  system.chassis.manufacturer = 'Hewlett-Packard'  (string)
  system.chassis.type = 'Mini Tower'  (string)
  system.firmware.release_date = '04/11/2001'  (string)
  system.firmware.vendor = 'Phoenix Technologies Ltd.'  (string)
  system.firmware.version = 'IP.01.07FI'  (string)
  system.formfactor = 'desktop'  (string)
  system.hardware.primary_video.product = 4402  (0x1132)  (int)
  system.hardware.primary_video.vendor = 32902  (0x8086)  (int)
  system.hardware.product = 'HP Vectra'  (string)
  system.hardware.serial = 'NL13614597'  (string)
  system.hardware.uuid = '9D93D8C1-A76B-11D5-A1F7-59AF0BA8191A'  (string)
  system.hardware.vendor = 'Hewlett-Packard'  (string)
  system.hardware.version = 'VL400'  (string)
  system.kernel.machine = 'i686'  (string)
  system.kernel.name = 'Linux'  (string)
  system.kernel.version = '2.6.32-22-generic'  (string)
  system.kernel.version.major = 2  (0x2)  (int)
  system.kernel.version.micro = 32  (0x20)  (int)
  system.kernel.version.minor = 6  (0x6)  (int)

udi = '/org/freedesktop/Hal/devices/acpi_CPU0'
  info.capabilities = {'processor'} (string list)
  info.category = 'processor'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'Pentium III (Coppermine)'  (string)
  info.udi = '/org/freedesktop/Hal/devices/acpi_CPU0'  (string)
  linux.acpi_path = '/proc/acpi/processor/CPU0'  (string)
  linux.acpi_type = 1  (0x1)  (int)
  linux.hotplug_type = 4  (0x4)  (int)
  processor.can_throttle = false  (bool)
  processor.number = 0  (0x0)  (int)

udi = '/org/freedesktop/Hal/devices/computer_alsa_timer'
  alsa.device_file = '/dev/snd/timer'  (string)
  alsa.type = 'timer'  (string)
  info.capabilities = {'alsa'} (string list)
  info.category = 'alsa'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'ALSA Timer Device'  (string)
  info.subsystem = 'sound'  (string)
  info.udi = '/org/freedesktop/Hal/devices/computer_alsa_timer'  (string)
  linux.device_file = '/dev/snd/timer'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'sound'  (string)
  linux.sysfs_path = '/sys/devices/virtual/sound/timer'  (string)

udi = '/org/freedesktop/Hal/devices/computer_oss_sequencer_0'
  info.capabilities = {'oss'} (string list)
  info.category = 'oss'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'OSS Sequencer Device'  (string)
  info.subsystem = 'sound'  (string)
  info.udi = '/org/freedesktop/Hal/devices/computer_oss_sequencer_0'  (string)
  linux.device_file = '/dev/sequencer2'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'sound'  (string)
  linux.sysfs_path = '/sys/devices/virtual/sound/sequencer2'  (string)
  oss.device_file = '/dev/sequencer2'  (string)
  oss.type = 'sequencer'  (string)

udi = '/org/freedesktop/Hal/devices/computer_oss_sequencer'
  info.capabilities = {'oss'} (string list)
  info.category = 'oss'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'OSS Sequencer Device'  (string)
  info.subsystem = 'sound'  (string)
  info.udi = '/org/freedesktop/Hal/devices/computer_oss_sequencer'  (string)
  linux.device_file = '/dev/sequencer'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'sound'  (string)
  linux.sysfs_path = '/sys/devices/virtual/sound/sequencer'  (string)
  oss.device_file = '/dev/sequencer'  (string)
  oss.type = 'sequencer'  (string)

udi = '/org/freedesktop/Hal/devices/computer_alsa_sequencer'
  alsa.device_file = '/dev/snd/seq'  (string)
  alsa.type = 'sequencer'  (string)
  info.capabilities = {'alsa'} (string list)
  info.category = 'alsa'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'ALSA Sequencer Device'  (string)
  info.subsystem = 'sound'  (string)
  info.udi = '/org/freedesktop/Hal/devices/computer_alsa_sequencer'  (string)
  linux.device_file = '/dev/snd/seq'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'sound'  (string)
  linux.sysfs_path = '/sys/devices/virtual/sound/seq'  (string)

udi = '/org/freedesktop/Hal/devices/net_computer_loopback'
  info.capabilities = {'net', 'net.loopback'} (string list)
  info.category = 'net.loopback'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'Loopback device Interface'  (string)
  info.subsystem = 'net'  (string)
  info.udi = '/org/freedesktop/Hal/devices/net_computer_loopback'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'net'  (string)
  linux.sysfs_path = '/sys/devices/virtual/net/lo'  (string)
  net.address = '00:00:00:00:00:00'  (string)
  net.arp_proto_hw_id = 772  (0x304)  (int)
  net.interface = 'lo'  (string)
  net.linux.ifindex = 1  (0x1)  (int)
  net.originating_device = '/org/freedesktop/Hal/devices/computer'  (string)

udi = '/org/freedesktop/Hal/devices/computer_logicaldev_input_1'
  info.capabilities = {'input', 'input.mouse'} (string list)
  info.category = 'input'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'Macintosh mouse button emulation'  (string)
  info.subsystem = 'input'  (string)
  info.udi = '/org/freedesktop/Hal/devices/computer_logicaldev_input_1'  (string)
  input.device = '/dev/input/event2'  (string)
  input.product = 'Macintosh mouse button emulation'  (string)
  linux.device_file = '/dev/input/event2'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'input'  (string)
  linux.sysfs_path = '/sys/devices/virtual/input/input2/event2'  (string)

udi = '/org/freedesktop/Hal/devices/computer_logicaldev_input_0'
  button.has_state = false  (bool)
  button.type = 'power'  (string)
  info.addons.singleton = {'hald-addon-input'} (string list)
  info.capabilities = {'input', 'button', 'input.keys'} (string list)
  info.category = 'input'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'Power Button'  (string)
  info.subsystem = 'input'  (string)
  info.udi = '/org/freedesktop/Hal/devices/computer_logicaldev_input_0'  (string)
  input.device = '/dev/input/event0'  (string)
  input.product = 'Power Button'  (string)
  linux.device_file = '/dev/input/event0'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'input'  (string)
  linux.sysfs_path = '/sys/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input0/event0'  (string)

udi = '/org/freedesktop/Hal/devices/computer_logicaldev_input'
  button.has_state = false  (bool)
  button.type = 'power'  (string)
  info.addons.singleton = {'hald-addon-input'} (string list)
  info.capabilities = {'input', 'button', 'input.keys'} (string list)
  info.category = 'input'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'Power Button'  (string)
  info.subsystem = 'input'  (string)
  info.udi = '/org/freedesktop/Hal/devices/computer_logicaldev_input'  (string)
  input.device = '/dev/input/event1'  (string)
  input.product = 'Power Button'  (string)
  linux.device_file = '/dev/input/event1'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'input'  (string)
  linux.sysfs_path = '/sys/devices/LNXSYSTM:00/LNXPWRBN:00/input/input1/event1'  (string)

udi = '/org/freedesktop/Hal/devices/pnp_PNP0400'
  info.linux.driver = 'parport_pc'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'Standard LPT printer port'  (string)
  info.subsystem = 'pnp'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pnp_PNP0400'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'pnp'  (string)
  linux.sysfs_path = '/sys/devices/pnp0/00:0c'  (string)
  pnp.description = 'Standard LPT printer port'  (string)
  pnp.id = 'PNP0400'  (string)

udi = '/org/freedesktop/Hal/devices/ppdev_parport0'
  info.capabilities = {'ppdev'} (string list)
  info.category = 'ppdev'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pnp_PNP0400'  (string)
  info.product = 'Parallel Port Device'  (string)
  info.subsystem = 'ppdev'  (string)
  info.udi = '/org/freedesktop/Hal/devices/ppdev_parport0'  (string)
  linux.device_file = '/dev/parport0'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'ppdev'  (string)
  linux.sysfs_path = '/sys/devices/pnp0/00:0c/ppdev/parport0'  (string)

udi = '/org/freedesktop/Hal/devices/pnp_PNP0501_0'
  info.linux.driver = 'serial'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = '16550A-compatible COM port'  (string)
  info.subsystem = 'pnp'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pnp_PNP0501_0'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'pnp'  (string)
  linux.sysfs_path = '/sys/devices/pnp0/00:0b'  (string)
  pnp.description = '16550A-compatible COM port'  (string)
  pnp.id = 'PNP0501'  (string)

udi = '/org/freedesktop/Hal/devices/pnp_PNP0501_0_serial_platform_1'
  info.capabilities = {'serial'} (string list)
  info.category = 'serial'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pnp_PNP0501_0'  (string)
  info.product = '16550A-compatible COM port'  (string)
  info.subsystem = 'tty'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pnp_PNP0501_0_serial_platform_1'  (string)
  linux.device_file = '/dev/ttyS1'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'tty'  (string)
  linux.sysfs_path = '/sys/devices/pnp0/00:0b/tty/ttyS1'  (string)
  serial.device = '/dev/ttyS1'  (string)
  serial.originating_device = '/org/freedesktop/Hal/devices/pnp_PNP0501_0'  (string)
  serial.port = 1  (0x1)  (int)
  serial.type = 'platform'  (string)

udi = '/org/freedesktop/Hal/devices/pnp_PNP0501'
  info.linux.driver = 'serial'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = '16550A-compatible COM port'  (string)
  info.subsystem = 'pnp'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pnp_PNP0501'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'pnp'  (string)
  linux.sysfs_path = '/sys/devices/pnp0/00:0a'  (string)
  pnp.description = '16550A-compatible COM port'  (string)
  pnp.id = 'PNP0501'  (string)

udi = '/org/freedesktop/Hal/devices/pnp_PNP0501_serial_platform_0'
  info.capabilities = {'serial'} (string list)
  info.category = 'serial'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pnp_PNP0501'  (string)
  info.product = '16550A-compatible COM port'  (string)
  info.subsystem = 'tty'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pnp_PNP0501_serial_platform_0'  (string)
  linux.device_file = '/dev/ttyS0'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'tty'  (string)
  linux.sysfs_path = '/sys/devices/pnp0/00:0a/tty/ttyS0'  (string)
  serial.device = '/dev/ttyS0'  (string)
  serial.originating_device = '/org/freedesktop/Hal/devices/pnp_PNP0501'  (string)
  serial.port = 0  (0x0)  (int)
  serial.type = 'platform'  (string)

udi = '/org/freedesktop/Hal/devices/pnp_PNP0700'
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'PC standard floppy disk controller'  (string)
  info.subsystem = 'pnp'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pnp_PNP0700'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'pnp'  (string)
  linux.sysfs_path = '/sys/devices/pnp0/00:09'  (string)
  pnp.description = 'PC standard floppy disk controller'  (string)
  pnp.id = 'PNP0700'  (string)

udi = '/org/freedesktop/Hal/devices/pnp_PNP0f13'
  info.linux.driver = 'i8042 aux'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'PS/2 Port for PS/2-style Mice'  (string)
  info.subsystem = 'pnp'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pnp_PNP0f13'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'pnp'  (string)
  linux.sysfs_path = '/sys/devices/pnp0/00:08'  (string)
  pnp.description = 'PS/2 Port for PS/2-style Mice'  (string)
  pnp.id = 'PNP0f13'  (string)

udi = '/org/freedesktop/Hal/devices/pnp_PNP0303'
  info.linux.driver = 'i8042 kbd'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'IBM Enhanced (101/102-key, PS/2 mouse support)'  (string)
  info.subsystem = 'pnp'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pnp_PNP0303'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'pnp'  (string)
  linux.sysfs_path = '/sys/devices/pnp0/00:07'  (string)
  pnp.description = 'IBM Enhanced (101/102-key, PS/2 mouse support)'  (string)
  pnp.id = 'PNP0303'  (string)

udi = '/org/freedesktop/Hal/devices/pnp_PNP0800'
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'AT-style speaker sound'  (string)
  info.subsystem = 'pnp'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pnp_PNP0800'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'pnp'  (string)
  linux.sysfs_path = '/sys/devices/pnp0/00:06'  (string)
  pnp.description = 'AT-style speaker sound'  (string)
  pnp.id = 'PNP0800'  (string)

udi = '/org/freedesktop/Hal/devices/pnp_PNP0b00'
  info.linux.driver = 'rtc_cmos'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'AT Real-Time Clock'  (string)
  info.subsystem = 'pnp'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pnp_PNP0b00'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'pnp'  (string)
  linux.sysfs_path = '/sys/devices/pnp0/00:05'  (string)
  pnp.description = 'AT Real-Time Clock'  (string)
  pnp.id = 'PNP0b00'  (string)

udi = '/org/freedesktop/Hal/devices/pnp_PNP0c04'
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'Math Coprocessor'  (string)
  info.subsystem = 'pnp'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pnp_PNP0c04'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'pnp'  (string)
  linux.sysfs_path = '/sys/devices/pnp0/00:04'  (string)
  pnp.description = 'Math Coprocessor'  (string)
  pnp.id = 'PNP0c04'  (string)

udi = '/org/freedesktop/Hal/devices/pnp_PNP0200'
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'AT DMA Controller'  (string)
  info.subsystem = 'pnp'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pnp_PNP0200'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'pnp'  (string)
  linux.sysfs_path = '/sys/devices/pnp0/00:03'  (string)
  pnp.description = 'AT DMA Controller'  (string)
  pnp.id = 'PNP0200'  (string)

udi = '/org/freedesktop/Hal/devices/pnp_PNP0c02'
  info.linux.driver = 'system'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'General ID for reserving resources required by PnP motherboard registers. (Not device specific.)'  (string)
  info.subsystem = 'pnp'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pnp_PNP0c02'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'pnp'  (string)
  linux.sysfs_path = '/sys/devices/pnp0/00:02'  (string)
  pnp.description = 'General ID for reserving resources required by PnP motherboard registers. (Not device specific.)'  (string)
  pnp.id = 'PNP0c02'  (string)

udi = '/org/freedesktop/Hal/devices/pnp_INT0800'
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'PnP Device (INT0800)'  (string)
  info.subsystem = 'pnp'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pnp_INT0800'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'pnp'  (string)
  linux.sysfs_path = '/sys/devices/pnp0/00:01'  (string)
  pnp.id = 'INT0800'  (string)

udi = '/org/freedesktop/Hal/devices/pnp_PNP0a03'
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'PCI Bus'  (string)
  info.subsystem = 'pnp'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pnp_PNP0a03'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'pnp'  (string)
  linux.sysfs_path = '/sys/devices/pnp0/00:00'  (string)
  pnp.description = 'PCI Bus'  (string)
  pnp.id = 'PNP0a03'  (string)

udi = '/org/freedesktop/Hal/devices/platform_vga16fb_0'
  info.linux.driver = 'vga16fb'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'Platform Device (vga16fb.0)'  (string)
  info.subsystem = 'platform'  (string)
  info.udi = '/org/freedesktop/Hal/devices/platform_vga16fb_0'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'platform'  (string)
  linux.sysfs_path = '/sys/devices/platform/vga16fb.0'  (string)
  platform.id = 'vga16fb.0'  (string)

udi = '/org/freedesktop/Hal/devices/platform_serial8250'
  info.linux.driver = 'serial8250'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'Platform Device (serial8250)'  (string)
  info.subsystem = 'platform'  (string)
  info.udi = '/org/freedesktop/Hal/devices/platform_serial8250'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'platform'  (string)
  linux.sysfs_path = '/sys/devices/platform/serial8250'  (string)
  platform.id = 'serial8250'  (string)

udi = '/org/freedesktop/Hal/devices/platform_pcspkr'
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'Platform Device (pcspkr)'  (string)
  info.subsystem = 'platform'  (string)
  info.udi = '/org/freedesktop/Hal/devices/platform_pcspkr'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'platform'  (string)
  linux.sysfs_path = '/sys/devices/platform/pcspkr'  (string)
  platform.id = 'pcspkr'  (string)

udi = '/org/freedesktop/Hal/devices/platform_i8042'
  info.linux.driver = 'i8042'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'Platform Device (i8042)'  (string)
  info.subsystem = 'platform'  (string)
  info.udi = '/org/freedesktop/Hal/devices/platform_i8042'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'platform'  (string)
  linux.sysfs_path = '/sys/devices/platform/i8042'  (string)
  platform.id = 'i8042'  (string)

udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX_port'
  info.linux.driver = 'psmouse'  (string)
  info.parent = '/org/freedesktop/Hal/devices/platform_i8042'  (string)
  info.product = 'i8042 AUX port'  (string)
  info.subsystem = 'serio'  (string)
  info.udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX_port'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'serio'  (string)
  linux.sysfs_path = '/sys/devices/platform/i8042/serio1'  (string)
  serio.description = 'i8042 AUX port'  (string)
  serio.id = 'serio1'  (string)

udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX_port_logicaldev_input'
  info.capabilities = {'input', 'input.mouse'} (string list)
  info.category = 'input'  (string)
  info.parent = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX_port'  (string)
  info.product = 'PS/2 Generic Mouse'  (string)
  info.subsystem = 'input'  (string)
  info.udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX_port_logicaldev_input'  (string)
  input.device = '/dev/input/event4'  (string)
  input.originating_device = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX_port'  (string)
  input.product = 'PS/2 Generic Mouse'  (string)
  linux.device_file = '/dev/input/event4'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'input'  (string)
  linux.sysfs_path = '/sys/devices/platform/i8042/serio1/input/input4/event4'  (string)

udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port'
  info.linux.driver = 'atkbd'  (string)
  info.parent = '/org/freedesktop/Hal/devices/platform_i8042'  (string)
  info.product = 'i8042 KBD port'  (string)
  info.subsystem = 'serio'  (string)
  info.udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'serio'  (string)
  linux.sysfs_path = '/sys/devices/platform/i8042/serio0'  (string)
  serio.description = 'i8042 KBD port'  (string)
  serio.id = 'serio0'  (string)

udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input'
  info.addons.singleton = {'hald-addon-input'} (string list)
  info.capabilities = {'input', 'input.keyboard', 'input.keypad', 'input.keys', 'button'} (string list)
  info.category = 'input'  (string)
  info.parent = '/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port'  (string)
  info.product = 'AT Translated Set 2 keyboard'  (string)
  info.subsystem = 'input'  (string)
  info.udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input'  (string)
  input.device = '/dev/input/event3'  (string)
  input.originating_device = '/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port'  (string)
  input.product = 'AT Translated Set 2 keyboard'  (string)
  linux.device_file = '/dev/input/event3'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'input'  (string)
  linux.sysfs_path = '/sys/devices/platform/i8042/serio0/input/input3/event3'  (string)

udi = '/org/freedesktop/Hal/devices/platform_floppy_0'
  info.linux.driver = 'floppy'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'Platform Device (floppy.0)'  (string)
  info.subsystem = 'platform'  (string)
  info.udi = '/org/freedesktop/Hal/devices/platform_floppy_0'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'platform'  (string)
  linux.sysfs_path = '/sys/devices/platform/floppy.0'  (string)
  platform.id = 'floppy.0'  (string)

udi = '/org/freedesktop/Hal/devices/platform_floppy_0_storage_platform_floppy'
  block.device = '/dev/fd0'  (string)
  block.is_volume = false  (bool)
  block.major = 2  (0x2)  (int)
  block.minor = 0  (0x0)  (int)
  block.storage_device = '/org/freedesktop/Hal/devices/platform_floppy_0_storage_platform_floppy'  (string)
  info.addons = {'hald-addon-storage'} (string list)
  info.capabilities = {'storage', 'block'} (string list)
  info.category = 'storage'  (string)
  info.interfaces = {'org.freedesktop.Hal.Device.Volume', 'org.freedesktop.Hal.Device.Storage.Removable'} (string list)
  info.parent = '/org/freedesktop/Hal/devices/platform_floppy_0'  (string)
  info.product = 'PC Floppy Drive'  (string)
  info.udi = '/org/freedesktop/Hal/devices/platform_floppy_0_storage_platform_floppy'  (string)
  info.vendor = ''  (string)
  linux.hotplug_type = 3  (0x3)  (int)
  linux.sysfs_path = '/sys/devices/platform/floppy.0/block/fd0'  (string)
  org.freedesktop.Hal.Device.Volume.method_argnames = {'mount_point fstype extra_options', 'extra_options', 'extra_options'} (string list)
  org.freedesktop.Hal.Device.Volume.method_execpaths = {'hal-storage-mount', 'hal-storage-unmount', 'hal-storage-eject'} (string list)
  org.freedesktop.Hal.Device.Volume.method_names = {'Mount', 'Unmount', 'Eject'} (string list)
  org.freedesktop.Hal.Device.Volume.method_signatures = {'ssas', 'as', 'as'} (string list)
  storage.automount_enabled_hint = true  (bool)
  storage.bus = 'platform'  (string)
  storage.drive_type = 'floppy'  (string)
  storage.hotpluggable = false  (bool)
  storage.media_check_enabled = false  (bool)
  storage.model = ''  (string)
  storage.no_partitions_hint = true  (bool)
  storage.originating_device = '/org/freedesktop/Hal/devices/platform_floppy_0'  (string)
  storage.removable = true  (bool)
  storage.removable.media_available = false  (bool)
  storage.requires_eject = false  (bool)
  storage.size = 0  (0x0)  (uint64)
  storage.vendor = 'PC Floppy Drive'  (string)
  volume.mount.valid_options = {'ro', 'sync', 'dirsync', 'noatime', 'nodiratime', 'relatime', 'noexec', 'quiet', 'remount', 'exec', 'utf8', 'shortname=', 'codepage=', 'iocharset=', 'umask=', 'uid='} (string list)

udi = '/org/freedesktop/Hal/devices/platform_eisa_0'
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'Platform Device (eisa.0)'  (string)
  info.subsystem = 'platform'  (string)
  info.udi = '/org/freedesktop/Hal/devices/platform_eisa_0'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'platform'  (string)
  linux.sysfs_path = '/sys/devices/platform/eisa.0'  (string)
  platform.id = 'eisa.0'  (string)

udi = '/org/freedesktop/Hal/devices/platform_Fixed_MDIO_bus_0'
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'Platform Device (Fixed MDIO bus.0)'  (string)
  info.subsystem = 'platform'  (string)
  info.udi = '/org/freedesktop/Hal/devices/platform_Fixed_MDIO_bus_0'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'platform'  (string)
  linux.sysfs_path = '/sys/devices/platform/Fixed MDIO bus.0'  (string)
  platform.id = 'Fixed MDIO bus.0'  (string)

udi = '/org/freedesktop/Hal/devices/pci_8086_2415'
  info.linux.driver = 'Intel ICH'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = '82801AA AC'97 Audio Controller'  (string)
  info.subsystem = 'pci'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_2415'  (string)
  info.vendor = 'Intel Corporation'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'pci'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.5'  (string)
  pci.device_class = 4  (0x4)  (int)
  pci.device_protocol = 0  (0x0)  (int)
  pci.device_subclass = 1  (0x1)  (int)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.5'  (string)
  pci.product = '82801AA AC'97 Audio Controller'  (string)
  pci.product_id = 9237  (0x2415)  (int)
  pci.subsys_product_id = 4681  (0x1249)  (int)
  pci.subsys_vendor = 'Hewlett-Packard Company'  (string)
  pci.subsys_vendor_id = 4156  (0x103c)  (int)
  pci.vendor = 'Intel Corporation'  (string)
  pci.vendor_id = 32902  (0x8086)  (int)

udi = '/org/freedesktop/Hal/devices/pci_8086_2415_sound_card_0'
  info.capabilities = {'sound'} (string list)
  info.category = 'sound'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_2415'  (string)
  info.product = 'Intel 82801AA-ICH with CS4299 Sound Card'  (string)
  info.subsystem = 'sound'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_2415_sound_card_0'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'sound'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.5/sound/card0'  (string)
  sound.card = 0  (0x0)  (int)
  sound.card_id = 'Intel 82801AA-ICH with CS4299'  (string)
  sound.originating_device = '/org/freedesktop/Hal/devices/pci_8086_2415'  (string)

udi = '/org/freedesktop/Hal/devices/pci_8086_2415_sound_card_0_alsa_capture_1'
  alsa.card = 0  (0x0)  (int)
  alsa.card_id = 'Intel 82801AA-ICH with CS4299'  (string)
  alsa.device = 1  (0x1)  (int)
  alsa.device_file = '/dev/snd/pcmC0D1c'  (string)
  alsa.device_id = 'Intel 82801AA-ICH - MIC ADC'  (string)
  alsa.originating_device = '/org/freedesktop/Hal/devices/pci_8086_2415_sound_card_0'  (string)
  alsa.pcm_class = 'generic'  (string)
  alsa.type = 'capture'  (string)
  info.capabilities = {'alsa'} (string list)
  info.category = 'alsa'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_2415_sound_card_0'  (string)
  info.product = 'Intel 82801AA-ICH - MIC ADC ALSA Capture Device'  (string)
  info.subsystem = 'sound'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_2415_sound_card_0_alsa_capture_1'  (string)
  linux.device_file = '/dev/snd/pcmC0D1c'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'sound'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.5/sound/card0/pcmC0D1c'  (string)

udi = '/org/freedesktop/Hal/devices/pci_8086_2415_sound_card_0_alsa_playback_0'
  alsa.card = 0  (0x0)  (int)
  alsa.card_id = 'Intel 82801AA-ICH with CS4299'  (string)
  alsa.device = 0  (0x0)  (int)
  alsa.device_file = '/dev/snd/pcmC0D0p'  (string)
  alsa.device_id = 'Intel 82801AA-ICH'  (string)
  alsa.originating_device = '/org/freedesktop/Hal/devices/pci_8086_2415_sound_card_0'  (string)
  alsa.pcm_class = 'generic'  (string)
  alsa.type = 'playback'  (string)
  info.capabilities = {'alsa'} (string list)
  info.category = 'alsa'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_2415_sound_card_0'  (string)
  info.product = 'Intel 82801AA-ICH ALSA Playback Device'  (string)
  info.subsystem = 'sound'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_2415_sound_card_0_alsa_playback_0'  (string)
  linux.device_file = '/dev/snd/pcmC0D0p'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'sound'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.5/sound/card0/pcmC0D0p'  (string)

udi = '/org/freedesktop/Hal/devices/pci_8086_2415_sound_card_0_alsa_capture_0'
  alsa.card = 0  (0x0)  (int)
  alsa.card_id = 'Intel 82801AA-ICH with CS4299'  (string)
  alsa.device = 0  (0x0)  (int)
  alsa.device_file = '/dev/snd/pcmC0D0c'  (string)
  alsa.device_id = 'Intel 82801AA-ICH'  (string)
  alsa.originating_device = '/org/freedesktop/Hal/devices/pci_8086_2415_sound_card_0'  (string)
  alsa.pcm_class = 'generic'  (string)
  alsa.type = 'capture'  (string)
  info.capabilities = {'alsa'} (string list)
  info.category = 'alsa'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_2415_sound_card_0'  (string)
  info.product = 'Intel 82801AA-ICH ALSA Capture Device'  (string)
  info.subsystem = 'sound'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_2415_sound_card_0_alsa_capture_0'  (string)
  linux.device_file = '/dev/snd/pcmC0D0c'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'sound'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.5/sound/card0/pcmC0D0c'  (string)

udi = '/org/freedesktop/Hal/devices/pci_8086_2415_sound_card_0_oss_mixer__1'
  info.capabilities = {'oss'} (string list)
  info.category = 'oss'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_2415_sound_card_0'  (string)
  info.product = 'Intel 82801AA-ICH OSS Control Device'  (string)
  info.subsystem = 'sound'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_2415_sound_card_0_oss_mixer__1'  (string)
  linux.device_file = '/dev/mixer'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'sound'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.5/sound/card0/mixer'  (string)
  oss.card = 0  (0x0)  (int)
  oss.card_id = 'Intel 82801AA-ICH with CS4299'  (string)
  oss.device_file = '/dev/mixer'  (string)
  oss.device_id = 'Intel 82801AA-ICH'  (string)
  oss.originating_device = '/org/freedesktop/Hal/devices/pci_8086_2415_sound_card_0'  (string)
  oss.type = 'mixer'  (string)

udi = '/org/freedesktop/Hal/devices/pci_8086_2415_sound_card_0_oss_pcm_0_0'
  info.capabilities = {'oss'} (string list)
  info.category = 'oss'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_2415_sound_card_0'  (string)
  info.product = 'Intel 82801AA-ICH OSS PCM Device'  (string)
  info.subsystem = 'sound'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_2415_sound_card_0_oss_pcm_0_0'  (string)
  linux.device_file = '/dev/dsp'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'sound'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.5/sound/card0/dsp'  (string)
  oss.card = 0  (0x0)  (int)
  oss.card_id = 'Intel 82801AA-ICH with CS4299'  (string)
  oss.device = 0  (0x0)  (int)
  oss.device_file = '/dev/dsp'  (string)
  oss.device_id = 'Intel 82801AA-ICH'  (string)
  oss.originating_device = '/org/freedesktop/Hal/devices/pci_8086_2415_sound_card_0'  (string)
  oss.type = 'pcm'  (string)

udi = '/org/freedesktop/Hal/devices/pci_8086_2415_sound_card_0_alsa_control__1'
  alsa.card = 0  (0x0)  (int)
  alsa.card_id = 'Intel 82801AA-ICH with CS4299'  (string)
  alsa.device_file = '/dev/snd/controlC0'  (string)
  alsa.originating_device = '/org/freedesktop/Hal/devices/pci_8086_2415_sound_card_0'  (string)
  alsa.type = 'control'  (string)
  info.capabilities = {'alsa'} (string list)
  info.category = 'alsa'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_2415_sound_card_0'  (string)
  info.product = 'Intel 82801AA-ICH with CS4299 ALSA Control Device'  (string)
  info.subsystem = 'sound'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_2415_sound_card_0_alsa_control__1'  (string)
  linux.device_file = '/dev/snd/controlC0'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'sound'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.5/sound/card0/controlC0'  (string)

udi = '/org/freedesktop/Hal/devices/pci_8086_2415_sound_card_0_oss_pcm_0'
  info.capabilities = {'oss'} (string list)
  info.category = 'oss'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_2415_sound_card_0'  (string)
  info.product = 'Intel 82801AA-ICH OSS PCM Device'  (string)
  info.subsystem = 'sound'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_2415_sound_card_0_oss_pcm_0'  (string)
  linux.device_file = '/dev/audio'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'sound'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.5/sound/card0/audio'  (string)
  oss.card = 0  (0x0)  (int)
  oss.card_id = 'Intel 82801AA-ICH with CS4299'  (string)
  oss.device = 0  (0x0)  (int)
  oss.device_file = '/dev/audio'  (string)
  oss.device_id = 'Intel 82801AA-ICH'  (string)
  oss.originating_device = '/org/freedesktop/Hal/devices/pci_8086_2415_sound_card_0'  (string)
  oss.type = 'pcm'  (string)

udi = '/org/freedesktop/Hal/devices/pci_8086_2415_sound_card_0_oss_pcm_1'
  info.capabilities = {'oss'} (string list)
  info.category = 'oss'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_2415_sound_card_0'  (string)
  info.product = 'Intel 82801AA-ICH OSS PCM Device'  (string)
  info.subsystem = 'sound'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_2415_sound_card_0_oss_pcm_1'  (string)
  linux.device_file = '/dev/adsp'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'sound'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.5/sound/card0/adsp'  (string)
  oss.card = 0  (0x0)  (int)
  oss.card_id = 'Intel 82801AA-ICH with CS4299'  (string)
  oss.device = 1  (0x1)  (int)
  oss.device_file = '/dev/adsp'  (string)
  oss.device_id = 'Intel 82801AA-ICH'  (string)
  oss.originating_device = '/org/freedesktop/Hal/devices/pci_8086_2415_sound_card_0'  (string)
  oss.type = 'pcm'  (string)

udi = '/org/freedesktop/Hal/devices/pci_8086_2413'
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = '82801AA SMBus Controller'  (string)
  info.subsystem = 'pci'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_2413'  (string)
  info.vendor = 'Intel Corporation'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'pci'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.3'  (string)
  pci.device_class = 12  (0xc)  (int)
  pci.device_protocol = 0  (0x0)  (int)
  pci.device_subclass = 5  (0x5)  (int)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.3'  (string)
  pci.product = '82801AA SMBus Controller'  (string)
  pci.product_id = 9235  (0x2413)  (int)
  pci.subsys_product_id = 9235  (0x2413)  (int)
  pci.subsys_vendor = 'Intel Corporation'  (string)
  pci.subsys_vendor_id = 32902  (0x8086)  (int)
  pci.vendor = 'Intel Corporation'  (string)
  pci.vendor_id = 32902  (0x8086)  (int)

udi = '/org/freedesktop/Hal/devices/pci_8086_2412'
  info.linux.driver = 'uhci_hcd'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = '82801AA USB Controller'  (string)
  info.subsystem = 'pci'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_2412'  (string)
  info.vendor = 'Intel Corporation'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'pci'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.2'  (string)
  pci.device_class = 12  (0xc)  (int)
  pci.device_protocol = 0  (0x0)  (int)
  pci.device_subclass = 3  (0x3)  (int)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.2'  (string)
  pci.product = '82801AA USB Controller'  (string)
  pci.product_id = 9234  (0x2412)  (int)
  pci.subsys_product_id = 9234  (0x2412)  (int)
  pci.subsys_vendor = 'Intel Corporation'  (string)
  pci.subsys_vendor_id = 32902  (0x8086)  (int)
  pci.vendor = 'Intel Corporation'  (string)
  pci.vendor_id = 32902  (0x8086)  (int)

udi = '/org/freedesktop/Hal/devices/usb_device_1d6b_1_0000_00_1f_2'
  info.linux.driver = 'usb'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_2412'  (string)
  info.product = '1.1 root hub'  (string)
  info.subsystem = 'usb_device'  (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_1d6b_1_0000_00_1f_2'  (string)
  info.vendor = 'Linux Foundation'  (string)
  linux.device_file = '/dev/bus/usb/001/001'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'usb'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.2/usb1'  (string)
  usb_device.bus_number = 1  (0x1)  (int)
  usb_device.can_wake_up = true  (bool)
  usb_device.configuration_value = 1  (0x1)  (int)
  usb_device.device_class = 9  (0x9)  (int)
  usb_device.device_protocol = 0  (0x0)  (int)
  usb_device.device_revision_bcd = 518  (0x206)  (int)
  usb_device.device_subclass = 0  (0x0)  (int)
  usb_device.is_self_powered = true  (bool)
  usb_device.linux.device_number = 1  (0x1)  (int)
  usb_device.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.2/usb1'  (string)
  usb_device.max_power = 0  (0x0)  (int)
  usb_device.num_configurations = 1  (0x1)  (int)
  usb_device.num_interfaces = 1  (0x1)  (int)
  usb_device.num_ports = 2  (0x2)  (int)
  usb_device.product = '1.1 root hub'  (string)
  usb_device.product_id = 1  (0x1)  (int)
  usb_device.serial = '0000:00:1f.2'  (string)
  usb_device.speed = 12.0 (12) (double)
  usb_device.vendor = 'Linux Foundation'  (string)
  usb_device.vendor_id = 7531  (0x1d6b)  (int)
  usb_device.version = 1.1 (1.1) (double)

udi = '/org/freedesktop/Hal/devices/usb_device_1d6b_1_0000_00_1f_2_if0'
  info.linux.driver = 'hub'  (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_1d6b_1_0000_00_1f_2'  (string)
  info.product = 'USB Hub Interface'  (string)
  info.subsystem = 'usb'  (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_1d6b_1_0000_00_1f_2_if0'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'usb'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.2/usb1/1-0:1.0'  (string)
  usb.bus_number = 1  (0x1)  (int)
  usb.can_wake_up = true  (bool)
  usb.configuration_value = 1  (0x1)  (int)
  usb.device_class = 9  (0x9)  (int)
  usb.device_protocol = 0  (0x0)  (int)
  usb.device_revision_bcd = 518  (0x206)  (int)
  usb.device_subclass = 0  (0x0)  (int)
  usb.interface.class = 9  (0x9)  (int)
  usb.interface.number = 0  (0x0)  (int)
  usb.interface.protocol = 0  (0x0)  (int)
  usb.interface.subclass = 0  (0x0)  (int)
  usb.is_self_powered = true  (bool)
  usb.linux.device_number = 1  (0x1)  (int)
  usb.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.2/usb1/1-0:1.0'  (string)
  usb.max_power = 0  (0x0)  (int)
  usb.num_configurations = 1  (0x1)  (int)
  usb.num_interfaces = 1  (0x1)  (int)
  usb.num_ports = 2  (0x2)  (int)
  usb.product = 'USB Hub Interface'  (string)
  usb.product_id = 1  (0x1)  (int)
  usb.serial = '0000:00:1f.2'  (string)
  usb.speed = 12.0 (12) (double)
  usb.vendor = 'Linux Foundation'  (string)
  usb.vendor_id = 7531  (0x1d6b)  (int)
  usb.version = 1.1 (1.1) (double)

udi = '/org/freedesktop/Hal/devices/pci_8086_2411'
  info.linux.driver = 'ata_piix'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = '82801AA IDE Controller'  (string)
  info.subsystem = 'pci'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_2411'  (string)
  info.vendor = 'Intel Corporation'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'pci'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.1'  (string)
  pci.device_class = 1  (0x1)  (int)
  pci.device_protocol = 128  (0x80)  (int)
  pci.device_subclass = 1  (0x1)  (int)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.1'  (string)
  pci.product = '82801AA IDE Controller'  (string)
  pci.product_id = 9233  (0x2411)  (int)
  pci.subsys_product_id = 9233  (0x2411)  (int)
  pci.subsys_vendor = 'Intel Corporation'  (string)
  pci.subsys_vendor_id = 32902  (0x8086)  (int)
  pci.vendor = 'Intel Corporation'  (string)
  pci.vendor_id = 32902  (0x8086)  (int)

udi = '/org/freedesktop/Hal/devices/pci_8086_2411_scsi_host_0'
  info.capabilities = {'scsi_host'} (string list)
  info.category = 'scsi_host'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_2411'  (string)
  info.product = 'SCSI Host Adapter'  (string)
  info.subsystem = 'scsi_host'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_2411_scsi_host_0'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'scsi_host'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.1/host1'  (string)
  scsi_host.host = 1  (0x1)  (int)

udi = '/org/freedesktop/Hal/devices/pci_8086_2411_scsi_host_0_scsi_host'
  info.capabilities = {'scsi_host'} (string list)
  info.category = 'scsi_host'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_2411_scsi_host_0'  (string)
  info.product = 'SCSI Host Adapter'  (string)
  info.subsystem = 'scsi_host'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_2411_scsi_host_0_scsi_host'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'scsi_host'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.1/host1/scsi_host/host1'  (string)
  scsi_host.host = 1  (0x1)  (int)

udi = '/org/freedesktop/Hal/devices/pci_8086_2411_scsi_host_0_scsi_device_lun0'
  info.linux.driver = 'sr'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_2411_scsi_host_0'  (string)
  info.product = 'SCSI Device'  (string)
  info.subsystem = 'scsi'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_2411_scsi_host_0_scsi_device_lun0'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'scsi'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.1/host1/target1:0:0/1:0:0:0'  (string)
  scsi.bus = 0  (0x0)  (int)
  scsi.host = 1  (0x1)  (int)
  scsi.lun = 0  (0x0)  (int)
  scsi.model = 'CD-ROM SR243T'  (string)
  scsi.target = 0  (0x0)  (int)
  scsi.type = 'cdrom'  (string)
  scsi.vendor = 'MITSUMI'  (string)

udi = '/org/freedesktop/Hal/devices/storage_model_CD_ROM_SR243T'
  block.device = '/dev/sr0'  (string)
  block.is_volume = false  (bool)
  block.major = 11  (0xb)  (int)
  block.minor = 0  (0x0)  (int)
  block.storage_device = '/org/freedesktop/Hal/devices/storage_model_CD_ROM_SR243T'  (string)
  info.addons = {'hald-addon-storage'} (string list)
  info.capabilities = {'storage', 'block', 'storage.cdrom'} (string list)
  info.category = 'storage'  (string)
  info.interfaces = {'org.freedesktop.Hal.Device.Storage', 'org.freedesktop.Hal.Device.Storage', 'org.freedesktop.Hal.Device.Storage.Removable'} (string list)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_2411_scsi_host_0_scsi_device_lun0'  (string)
  info.product = 'CD-ROM SR243T'  (string)
  info.udi = '/org/freedesktop/Hal/devices/storage_model_CD_ROM_SR243T'  (string)
  info.vendor = 'MITSUMI'  (string)
  linux.hotplug_type = 3  (0x3)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.1/host1/target1:0:0/1:0:0:0/block/sr0'  (string)
  org.freedesktop.Hal.Device.Storage.method_argnames = {'extra_options', 'extra_options'} (string list)
  org.freedesktop.Hal.Device.Storage.method_execpaths = {'hal-storage-eject', 'hal-storage-closetray'} (string list)
  org.freedesktop.Hal.Device.Storage.method_names = {'Eject', 'CloseTray'} (string list)
  org.freedesktop.Hal.Device.Storage.method_signatures = {'as', 'as'} (string list)
  storage.automount_enabled_hint = true  (bool)
  storage.bus = 'pci'  (string)
  storage.cdrom.bd = false  (bool)
  storage.cdrom.bdr = false  (bool)
  storage.cdrom.bdre = false  (bool)
  storage.cdrom.cdr = false  (bool)
  storage.cdrom.cdrw = false  (bool)
  storage.cdrom.dvd = false  (bool)
  storage.cdrom.dvdplusr = false  (bool)
  storage.cdrom.dvdplusrdl = false  (bool)
  storage.cdrom.dvdplusrw = false  (bool)
  storage.cdrom.dvdplusrwdl = false  (bool)
  storage.cdrom.dvdr = false  (bool)
  storage.cdrom.dvdram = false  (bool)
  storage.cdrom.dvdrdl = false  (bool)
  storage.cdrom.dvdrw = false  (bool)
  storage.cdrom.hddvd = false  (bool)
  storage.cdrom.hddvdr = false  (bool)
  storage.cdrom.hddvdrw = false  (bool)
  storage.cdrom.mo = false  (bool)
  storage.cdrom.mrw = true  (bool)
  storage.cdrom.mrw_w = true  (bool)
  storage.cdrom.read_speed = 4234  (0x108a)  (int)
  storage.cdrom.support_media_changed = true  (bool)
  storage.cdrom.support_multisession = true  (bool)
  storage.cdrom.write_speed = 0  (0x0)  (int)
  storage.cdrom.write_speeds = {} (string list)
  storage.drive_type = 'cdrom'  (string)
  storage.firmware_version = 'L02F'  (string)
  storage.hotpluggable = false  (bool)
  storage.lun = 0  (0x0)  (int)
  storage.media_check_enabled = true  (bool)
  storage.model = 'CD-ROM SR243T'  (string)
  storage.no_partitions_hint = true  (bool)
  storage.originating_device = '/org/freedesktop/Hal/devices/computer'  (string)
  storage.partitioning_scheme = ''  (string)
  storage.removable = true  (bool)
  storage.removable.media_available = false  (bool)
  storage.removable.support_async_notification = false  (bool)
  storage.requires_eject = true  (bool)
  storage.size = 0  (0x0)  (uint64)
  storage.vendor = 'MITSUMI'  (string)

udi = '/org/freedesktop/Hal/devices/pci_8086_2411_scsi_host_0_scsi_device_lun0_scsi_generic'
  info.capabilities = {'scsi_generic'} (string list)
  info.category = 'scsi_generic'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_2411_scsi_host_0_scsi_device_lun0'  (string)
  info.product = 'SCSI Generic Interface'  (string)
  info.subsystem = 'scsi_generic'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_2411_scsi_host_0_scsi_device_lun0_scsi_generic'  (string)
  linux.device_file = '/dev/sg1'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'scsi_generic'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.1/host1/target1:0:0/1:0:0:0/scsi_generic/sg1'  (string)
  scsi_generic.device = '/dev/sg1'  (string)

udi = '/org/freedesktop/Hal/devices/pci_8086_2411_scsi_host'
  info.capabilities = {'scsi_host'} (string list)
  info.category = 'scsi_host'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_2411'  (string)
  info.product = 'SCSI Host Adapter'  (string)
  info.subsystem = 'scsi_host'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_2411_scsi_host'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'scsi_host'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.1/host0'  (string)
  scsi_host.host = 0  (0x0)  (int)

udi = '/org/freedesktop/Hal/devices/pci_8086_2411_scsi_host_scsi_host'
  info.capabilities = {'scsi_host'} (string list)
  info.category = 'scsi_host'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_2411_scsi_host'  (string)
  info.product = 'SCSI Host Adapter'  (string)
  info.subsystem = 'scsi_host'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_2411_scsi_host_scsi_host'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'scsi_host'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.1/host0/scsi_host/host0'  (string)
  scsi_host.host = 0  (0x0)  (int)

udi = '/org/freedesktop/Hal/devices/pci_8086_2411_scsi_host_scsi_device_lun0'
  info.linux.driver = 'sd'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_2411_scsi_host'  (string)
  info.product = 'SCSI Device'  (string)
  info.subsystem = 'scsi'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_2411_scsi_host_scsi_device_lun0'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'scsi'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.1/host0/target0:0:0/0:0:0:0'  (string)
  scsi.bus = 0  (0x0)  (int)
  scsi.host = 0  (0x0)  (int)
  scsi.lun = 0  (0x0)  (int)
  scsi.model = 'SAMSUNG SP0411N'  (string)
  scsi.target = 0  (0x0)  (int)
  scsi.type = 'disk'  (string)
  scsi.vendor = 'ATA'  (string)

udi = '/org/freedesktop/Hal/devices/storage_serial_SAMSUNG_SP0411N_S01JJ30Y975156'
  block.device = '/dev/sda'  (string)
  block.is_volume = false  (bool)
  block.major = 8  (0x8)  (int)
  block.minor = 0  (0x0)  (int)
  block.storage_device = '/org/freedesktop/Hal/devices/storage_serial_SAMSUNG_SP0411N_S01JJ30Y975156'  (string)
  info.capabilities = {'storage', 'block'} (string list)
  info.category = 'storage'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_2411_scsi_host_scsi_device_lun0'  (string)
  info.product = 'SAMSUNG SP0411N'  (string)
  info.udi = '/org/freedesktop/Hal/devices/storage_serial_SAMSUNG_SP0411N_S01JJ30Y975156'  (string)
  info.vendor = 'ATA'  (string)
  linux.hotplug_type = 3  (0x3)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.1/host0/target0:0:0/0:0:0:0/block/sda'  (string)
  storage.automount_enabled_hint = true  (bool)
  storage.bus = 'pci'  (string)
  storage.drive_type = 'disk'  (string)
  storage.firmware_version = 'TW100-31'  (string)
  storage.hotpluggable = false  (bool)
  storage.lun = 0  (0x0)  (int)
  storage.media_check_enabled = false  (bool)
  storage.model = 'SAMSUNG SP0411N'  (string)
  storage.no_partitions_hint = false  (bool)
  storage.originating_device = '/org/freedesktop/Hal/devices/computer'  (string)
  storage.partitioning_scheme = 'mbr'  (string)
  storage.removable = false  (bool)
  storage.removable.media_available = true  (bool)
  storage.removable.media_size = 40060403712  (0x953c94000)  (uint64)
  storage.requires_eject = false  (bool)
  storage.serial = 'SAMSUNG_SP0411N_S01JJ30Y975156'  (string)
  storage.size = 40060403712  (0x953c94000)  (uint64)
  storage.vendor = 'ATA'  (string)

udi = '/org/freedesktop/Hal/devices/volume_part5_size_4998561792'
  block.device = '/dev/sda5'  (string)
  block.is_volume = true  (bool)
  block.major = 8  (0x8)  (int)
  block.minor = 5  (0x5)  (int)
  block.storage_device = '/org/freedesktop/Hal/devices/storage_serial_SAMSUNG_SP0411N_S01JJ30Y975156'  (string)
  info.capabilities = {'volume', 'block'} (string list)
  info.category = 'volume'  (string)
  info.parent = '/org/freedesktop/Hal/devices/storage_serial_SAMSUNG_SP0411N_S01JJ30Y975156'  (string)
  info.product = 'Volume'  (string)
  info.udi = '/org/freedesktop/Hal/devices/volume_part5_size_4998561792'  (string)
  linux.hotplug_type = 3  (0x3)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.1/host0/target0:0:0/0:0:0:0/block/sda/sda5'  (string)
  volume.block_size = 512  (0x200)  (int)
  volume.fstype = ''  (string)
  volume.fsusage = ''  (string)
  volume.fsversion = ''  (string)
  volume.is_disc = false  (bool)
  volume.is_mounted = false  (bool)
  volume.is_mounted_read_only = false  (bool)
  volume.is_partition = true  (bool)
  volume.label = ''  (string)
  volume.linux.is_device_mapper = false  (bool)
  volume.mount_point = ''  (string)
  volume.num_blocks = 9762816  (0x94f800)  (uint64)
  volume.partition.flags = {} (string list)
  volume.partition.label = ''  (string)
  volume.partition.media_size = 40060403712  (0x953c94000)  (uint64)
  volume.partition.number = 5  (0x5)  (int)
  volume.partition.scheme = 'embr'  (string)
  volume.partition.start = 35061235712  (0x829d00000)  (uint64)
  volume.partition.type = '0x83'  (string)
  volume.partition.uuid = ''  (string)
  volume.size = 4998561792  (0x129f00000)  (uint64)
  volume.uuid = ''  (string)

udi = '/org/freedesktop/Hal/devices/volume_part2_size_1024'
  block.device = '/dev/sda2'  (string)
  block.is_volume = true  (bool)
  block.major = 8  (0x8)  (int)
  block.minor = 2  (0x2)  (int)
  block.storage_device = '/org/freedesktop/Hal/devices/storage_serial_SAMSUNG_SP0411N_S01JJ30Y975156'  (string)
  info.capabilities = {'volume', 'block'} (string list)
  info.category = 'volume'  (string)
  info.parent = '/org/freedesktop/Hal/devices/storage_serial_SAMSUNG_SP0411N_S01JJ30Y975156'  (string)
  info.product = 'Volume'  (string)
  info.udi = '/org/freedesktop/Hal/devices/volume_part2_size_1024'  (string)
  linux.hotplug_type = 3  (0x3)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.1/host0/target0:0:0/0:0:0:0/block/sda/sda2'  (string)
  volume.block_size = 512  (0x200)  (int)
  volume.fstype = ''  (string)
  volume.fsusage = 'partitiontable'  (string)
  volume.fsversion = ''  (string)
  volume.is_disc = false  (bool)
  volume.is_mounted = false  (bool)
  volume.is_mounted_read_only = false  (bool)
  volume.is_partition = true  (bool)
  volume.label = ''  (string)
  volume.linux.is_device_mapper = false  (bool)
  volume.mount_point = ''  (string)
  volume.num_blocks = 2  (0x2)  (uint64)
  volume.partition.flags = {} (string list)
  volume.partition.label = ''  (string)
  volume.partition.media_size = 40060403712  (0x953c94000)  (uint64)
  volume.partition.number = 2  (0x2)  (int)
  volume.partition.scheme = 'mbr'  (string)
  volume.partition.start = 33061600256  (0x7b29ffc00)  (uint64)
  volume.partition.type = '0x05'  (string)
  volume.partition.uuid = ''  (string)
  volume.size = 1024  (0x400)  (uint64)
  volume.uuid = ''  (string)

udi = '/org/freedesktop/Hal/devices/volume_uuid_d6386f4a_2da2_4f5e_9575_639240e54714'
  block.device = '/dev/sda6'  (string)
  block.is_volume = true  (bool)
  block.major = 8  (0x8)  (int)
  block.minor = 6  (0x6)  (int)
  block.storage_device = '/org/freedesktop/Hal/devices/storage_serial_SAMSUNG_SP0411N_S01JJ30Y975156'  (string)
  info.capabilities = {'volume', 'block'} (string list)
  info.category = 'volume'  (string)
  info.parent = '/org/freedesktop/Hal/devices/storage_serial_SAMSUNG_SP0411N_S01JJ30Y975156'  (string)
  info.product = 'Volume (swap)'  (string)
  info.udi = '/org/freedesktop/Hal/devices/volume_uuid_d6386f4a_2da2_4f5e_9575_639240e54714'  (string)
  linux.hotplug_type = 3  (0x3)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.1/host0/target0:0:0/0:0:0:0/block/sda/sda6'  (string)
  volume.block_size = 512  (0x200)  (int)
  volume.fstype = 'swap'  (string)
  volume.fsusage = 'other'  (string)
  volume.fsversion = '2'  (string)
  volume.is_disc = false  (bool)
  volume.is_mounted = false  (bool)
  volume.is_mounted_read_only = false  (bool)
  volume.is_partition = true  (bool)
  volume.label = ''  (string)
  volume.linux.is_device_mapper = false  (bool)
  volume.mount_point = ''  (string)
  volume.num_blocks = 3903488  (0x3b9000)  (uint64)
  volume.partition.media_size = 40060403712  (0x953c94000)  (uint64)
  volume.partition.number = 6  (0x6)  (int)
  volume.partition.start = 33061601280  (0x7b2a00000)  (uint64)
  volume.size = 1998585856  (0x77200000)  (uint64)
  volume.uuid = 'd6386f4a-2da2-4f5e-9575-639240e54714'  (string)

udi = '/org/freedesktop/Hal/devices/volume_uuid_423529cc_061d_4d80_9dfa_ad6d6126edaf'
  block.device = '/dev/sda1'  (string)
  block.is_volume = true  (bool)
  block.major = 8  (0x8)  (int)
  block.minor = 1  (0x1)  (int)
  block.storage_device = '/org/freedesktop/Hal/devices/storage_serial_SAMSUNG_SP0411N_S01JJ30Y975156'  (string)
  info.capabilities = {'volume', 'block'} (string list)
  info.category = 'volume'  (string)
  info.interfaces = {'org.freedesktop.Hal.Device.Volume'} (string list)
  info.parent = '/org/freedesktop/Hal/devices/storage_serial_SAMSUNG_SP0411N_S01JJ30Y975156'  (string)
  info.product = 'Volume (ext4)'  (string)
  info.udi = '/org/freedesktop/Hal/devices/volume_uuid_423529cc_061d_4d80_9dfa_ad6d6126edaf'  (string)
  linux.hotplug_type = 3  (0x3)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.1/host0/target0:0:0/0:0:0:0/block/sda/sda1'  (string)
  org.freedesktop.Hal.Device.Volume.method_argnames = {'mount_point fstype extra_options', 'extra_options', 'extra_options'} (string list)
  org.freedesktop.Hal.Device.Volume.method_execpaths = {'hal-storage-mount', 'hal-storage-unmount', 'hal-storage-eject'} (string list)
  org.freedesktop.Hal.Device.Volume.method_names = {'Mount', 'Unmount', 'Eject'} (string list)
  org.freedesktop.Hal.Device.Volume.method_signatures = {'ssas', 'as', 'as'} (string list)
  volume.block_size = 512  (0x200)  (int)
  volume.fstype = 'ext4'  (string)
  volume.fsusage = 'filesystem'  (string)
  volume.fsversion = '1.0'  (string)
  volume.ignore = false  (bool)
  volume.is_disc = false  (bool)
  volume.is_mounted = true  (bool)
  volume.is_mounted_read_only = false  (bool)
  volume.is_partition = true  (bool)
  volume.label = ''  (string)
  volume.linux.is_device_mapper = false  (bool)
  volume.mount.valid_options = {'ro', 'sync', 'dirsync', 'noatime', 'nodiratime', 'relatime', 'noexec', 'quiet', 'remount', 'exec'} (string list)
  volume.mount_point = '/'  (string)
  volume.num_blocks = 64569344  (0x3d94000)  (uint64)
  volume.partition.media_size = 40060403712  (0x953c94000)  (uint64)
  volume.partition.number = 1  (0x1)  (int)
  volume.partition.start = 1048576  (0x100000)  (uint64)
  volume.size = 33059504128  (0x7b2800000)  (uint64)
  volume.unmount.valid_options = {'lazy'} (string list)
  volume.uuid = '423529cc-061d-4d80-9dfa-ad6d6126edaf'  (string)

udi = '/org/freedesktop/Hal/devices/pci_8086_2411_scsi_host_scsi_device_lun0_scsi_generic'
  info.capabilities = {'scsi_generic'} (string list)
  info.category = 'scsi_generic'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_2411_scsi_host_scsi_device_lun0'  (string)
  info.product = 'SCSI Generic Interface'  (string)
  info.subsystem = 'scsi_generic'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_2411_scsi_host_scsi_device_lun0_scsi_generic'  (string)
  linux.device_file = '/dev/sg0'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'scsi_generic'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.1/host0/target0:0:0/0:0:0:0/scsi_generic/sg0'  (string)
  scsi_generic.device = '/dev/sg0'  (string)

udi = '/org/freedesktop/Hal/devices/pci_8086_2410'
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = '82801AA ISA Bridge (LPC)'  (string)
  info.subsystem = 'pci'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_2410'  (string)
  info.vendor = 'Intel Corporation'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'pci'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.0'  (string)
  pci.device_class = 6  (0x6)  (int)
  pci.device_protocol = 0  (0x0)  (int)
  pci.device_subclass = 1  (0x1)  (int)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.0'  (string)
  pci.product = '82801AA ISA Bridge (LPC)'  (string)
  pci.product_id = 9232  (0x2410)  (int)
  pci.subsys_product_id = 0  (0x0)  (int)
  pci.subsys_vendor_id = 0  (0x0)  (int)
  pci.vendor = 'Intel Corporation'  (string)
  pci.vendor_id = 32902  (0x8086)  (int)

udi = '/org/freedesktop/Hal/devices/pci_8086_2418'
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = '82801AA PCI Bridge'  (string)
  info.subsystem = 'pci'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_2418'  (string)
  info.vendor = 'Intel Corporation'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'pci'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1e.0'  (string)
  pci.device_class = 6  (0x6)  (int)
  pci.device_protocol = 0  (0x0)  (int)
  pci.device_subclass = 4  (0x4)  (int)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1e.0'  (string)
  pci.product = '82801AA PCI Bridge'  (string)
  pci.product_id = 9240  (0x2418)  (int)
  pci.subsys_product_id = 0  (0x0)  (int)
  pci.subsys_vendor_id = 0  (0x0)  (int)
  pci.vendor = 'Intel Corporation'  (string)
  pci.vendor_id = 32902  (0x8086)  (int)

udi = '/org/freedesktop/Hal/devices/pci_10b7_9200'
  info.linux.driver = '3c59x'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_2418'  (string)
  info.product = '3c905C-TX/TX-M [Tornado]'  (string)
  info.subsystem = 'pci'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_10b7_9200'  (string)
  info.vendor = '3Com Corporation'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'pci'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1e.0/0000:01:04.0'  (string)
  pci.device_class = 2  (0x2)  (int)
  pci.device_protocol = 0  (0x0)  (int)
  pci.device_subclass = 0  (0x0)  (int)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1e.0/0000:01:04.0'  (string)
  pci.product = '3c905C-TX/TX-M [Tornado]'  (string)
  pci.product_id = 37376  (0x9200)  (int)
  pci.subsys_product_id = 4678  (0x1246)  (int)
  pci.subsys_vendor = 'Hewlett-Packard Company'  (string)
  pci.subsys_vendor_id = 4156  (0x103c)  (int)
  pci.vendor = '3Com Corporation'  (string)
  pci.vendor_id = 4279  (0x10b7)  (int)

udi = '/org/freedesktop/Hal/devices/net_00_04_75_4f_9f_85'
  info.capabilities = {'net', 'net.80203', 'wake_on_lan'} (string list)
  info.category = 'net.80203'  (string)
  info.interfaces = {'org.freedesktop.Hal.Device.WakeOnLan'} (string list)
  info.parent = '/org/freedesktop/Hal/devices/pci_10b7_9200'  (string)
  info.product = 'Networking Interface'  (string)
  info.subsystem = 'net'  (string)
  info.udi = '/org/freedesktop/Hal/devices/net_00_04_75_4f_9f_85'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'net'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1e.0/0000:01:04.0/net/eth0'  (string)
  net.80203.mac_address = 19148021637  (0x4754f9f85)  (uint64)
  net.address = '00:04:75:4f:9f:85'  (string)
  net.arp_proto_hw_id = 1  (0x1)  (int)
  net.interface = 'eth0'  (string)
  net.linux.ifindex = 2  (0x2)  (int)
  net.originating_device = '/org/freedesktop/Hal/devices/pci_10b7_9200'  (string)
  org.freedesktop.Hal.Device.WakeOnLan.method_argnames = {'', '', 'enable'} (string list)
  org.freedesktop.Hal.Device.WakeOnLan.method_execpaths = {'hal-system-wol-supported', 'hal-system-wol-enabled', 'hal-system-wol-enable'} (string list)
  org.freedesktop.Hal.Device.WakeOnLan.method_names = {'GetSupported', 'GetEnabled', 'SetEnabled'} (string list)
  org.freedesktop.Hal.Device.WakeOnLan.method_signatures = {'', '', 'b'} (string list)

udi = '/org/freedesktop/Hal/devices/pci_8086_1132'
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = '82815 Chipset Graphics Controller (CGC)'  (string)
  info.subsystem = 'pci'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_1132'  (string)
  info.vendor = 'Intel Corporation'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'pci'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:02.0'  (string)
  pci.device_class = 3  (0x3)  (int)
  pci.device_protocol = 0  (0x0)  (int)
  pci.device_subclass = 0  (0x0)  (int)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:02.0'  (string)
  pci.product = '82815 Chipset Graphics Controller (CGC)'  (string)
  pci.product_id = 4402  (0x1132)  (int)
  pci.subsys_product_id = 4677  (0x1245)  (int)
  pci.subsys_vendor = 'Hewlett-Packard Company'  (string)
  pci.subsys_vendor_id = 4156  (0x103c)  (int)
  pci.vendor = 'Intel Corporation'  (string)
  pci.vendor_id = 32902  (0x8086)  (int)

udi = '/org/freedesktop/Hal/devices/pci_8086_1132_drm__null__card0'
  info.capabilities = {'drm'} (string list)
  info.category = 'drm'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_1132'  (string)
  info.product = 'Direct Rendering Manager Device'  (string)
  info.subsystem = 'drm'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_1132_drm__null__card0'  (string)
  info.vendor = 'Intel Corporation'  (string)
  linux.device_file = '/dev/dri/card0'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'drm'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:02.0/drm/card0'  (string)

udi = '/org/freedesktop/Hal/devices/pci_8086_1130'
  info.linux.driver = 'agpgart-intel'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = '82815 815 Chipset Host Bridge and Memory Controller Hub'  (string)
  info.subsystem = 'pci'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_1130'  (string)
  info.vendor = 'Intel Corporation'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'pci'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:00.0'  (string)
  pci.device_class = 6  (0x6)  (int)
  pci.device_protocol = 0  (0x0)  (int)
  pci.device_subclass = 0  (0x0)  (int)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:00.0'  (string)
  pci.product = '82815 815 Chipset Host Bridge and Memory Controller Hub'  (string)
  pci.product_id = 4400  (0x1130)  (int)
  pci.subsys_product_id = 4400  (0x1130)  (int)
  pci.subsys_vendor = 'Intel Corporation'  (string)
  pci.subsys_vendor_id = 32902  (0x8086)  (int)
  pci.vendor = 'Intel Corporation'  (string)
  pci.vendor_id = 32902  (0x8086)  (int)


Dumped 74 device(s) from the Global Device List.
------------------------------------------------

comment:5 Changed 8 years ago by bonefish

Info of this length is better attached as a file, as this ticket gets rather annoying to browse.

The picture you attached is nothing the boot loader produces AFAIK. It may come from the monitor (some kind of out-of-sync picture?), the graphics card may show it when switching the video mode (sounds unlikely), or the BIOS draws it before calling the boot loader.

A syslog might be helpful, though I suspect it's too early to get one (can you enter the boot loader menu?). If this box has a serial port and you have another box with one and a null modem cable, please fetch the serial debug output.

comment:6 in reply to:  5 ; Changed 8 years ago by Karvjorm

Replying to bonefish:

Info of this length is better attached as a file, as this ticket gets rather annoying to browse.

OK, sorry.

The picture you attached is nothing the boot loader produces AFAIK. It may come from the monitor (some kind of out-of-sync picture?), the graphics card may show it when switching the video mode (sounds unlikely), or the BIOS draws it before calling the boot loader.

Originally this is a Windows 98 computer and no problem to boot Win98 installation CD-ROM, I suppose. And no problem with Kubuntu 10.4 installation CD-ROM either. What is different with Haiku? I wonder if I could find some third installation CD-ROM for testing?

A syslog might be helpful, though I suspect it's too early to get one (can you enter the boot loader menu?). If this box has a serial port and you have another box with one and a null modem cable, please fetch the serial debug output.

I have not null modem cable just now, but I have a USB 2.0 Data Transfer Cable between boxes just now. But I even do not know how to use it in other end (is it really working in Kubuntu and how I can test it?).

Both boxes include floppy drive (1.44 MB) and it would be fine, if I had a boot image that would install floppy as a first step and save syslog and serial debug output to floppy.

comment:7 in reply to:  6 Changed 8 years ago by bonefish

Replying to Karvjorm:

Replying to bonefish:

The picture you attached is nothing the boot loader produces AFAIK. It may come from the monitor (some kind of out-of-sync picture?), the graphics card may show it when switching the video mode (sounds unlikely), or the BIOS draws it before calling the boot loader.

Originally this is a Windows 98 computer and no problem to boot Win98 installation CD-ROM, I suppose. And no problem with Kubuntu 10.4 installation CD-ROM either. What is different with Haiku? I wonder if I could find some third installation CD-ROM for testing?

It's not so interesting which OSs work. Apparently Haiku does something wrong or doesn't have a work-around for some hardware quirk that the others have.

A syslog might be helpful, though I suspect it's too early to get one (can you enter the boot loader menu?). If this box has a serial port and you have another box with one and a null modem cable, please fetch the serial debug output.

I have not null modem cable just now, but I have a USB 2.0 Data Transfer Cable between boxes just now. But I even do not know how to use it in other end (is it really working in Kubuntu and how I can test it?).

USB is not helpful in this case. Boot loader and kernel write their debug output to the serial line. Using a USB-serial adapter, should you have one, on the other computer would be an option, but on the box you boot the serial port must be used. Fetching the output is as easy as starting your terminal program of choice and configuring the serial port to 115200 8N1 without flow control.

Both boxes include floppy drive (1.44 MB) and it would be fine, if I had a boot image that would install floppy as a first step and save syslog and serial debug output to floppy.

It should be possible to create a boot floppy image with jam -q haiku-boot-floppy.image. You can dd it to a floppy disk. It's not a complete Haiku, but it should get you into the boot loader.

Changed 8 years ago by Karvjorm

Attachment: haikubooterror.txt added

Part of syslog copied from screen with touch typing (typos possible)

comment:8 Changed 8 years ago by Karvjorm

I will get my null modem cable tomorrow, I hope. But after testing boot menu I was able to get syslog to screen and copied some hundred lines with my touch typing (and editor of the other box). I was wondering the line:

usb uhci: AddTo(): found with invalid IRQ - check IRQ assignement

This is a Win98 generation computer that knows only USB 1.0. I have not any USB devices attached to my box just now, so this error message refers maybe to missing support to old Intel Chipset, or?

comment:9 Changed 8 years ago by pulkomandy

Summary: Haiku boot image fails with 512 MB RAMHaiku boot image fails on HP Vectra pentium 3 computer

comment:10 in reply to:  8 Changed 8 years ago by bonefish

Replying to Karvjorm:

I will get my null modem cable tomorrow, I hope. But after testing boot menu I was able to get syslog to screen and copied some hundred lines with my touch typing (and editor of the other box).

As the boot process gets rather far, the on screen debug output is not recommended. If you have a FAT partition or USB stick, you can get a syslog with the debug syslog feature in the boot loader menu (cf. http://dev.haiku-os.org/wiki/ReportingBugs#Syslog). In most cases that is as reliable as the serial debug output.

I was wondering the line:

usb uhci: AddTo(): found with invalid IRQ - check IRQ assignement

This is a Win98 generation computer that knows only USB 1.0. I have not any USB devices attached to my box just now, so this error message refers maybe to missing support to old Intel Chipset, or?

I'm not an expert in the USB department, but AFAIK there are no unsupported chipsets per se. It sounds more like an IRQ assignment issue, which may or may not be related to the boot problem. There's still ticket #5 tracking that missing feature in Haiku. Your BIOS might have options to work around the problem. Also, if you haven't done that already, you could try the various safe mode options in the boot loader menu.

comment:11 Changed 8 years ago by tonestone57

I think the problem is your onboard video card does not support VESA 2.0. That is why you do not see the bootloader screen. I have seen at least two others with i810 have the same issue. Your syslog also shows nothing for VESA modes only says VGA. Do you have a supported (either VESA or native driver) PCI or AGP card you can try out?

Look over this thread for video BIOS upgrade for i815 which may or may not work (not sure if it fixes VESA):

http://www.haiku-os.org/community/forum/has_anyone_used_beos_i810_driver_haiku

EDIT: Search for VESA in this syslog and see the difference to yours (no VESA in your syslog):
http://dev.haiku-os.org/attachment/ticket/5865/syslog-acpi

Lines 12 to 47 are the available VESA modes for that graphics card.

Last edited 8 years ago by tonestone57 (previous) (diff)

Changed 8 years ago by Karvjorm

Attachment: hpvectraboot20100721a.txt added

The first syslog via null modem cable

Changed 8 years ago by Karvjorm

Attachment: hpvectraboot20100721b.txt added

In this boot Video Primary Controller was changed from [PCI] to [AGP or Embedded Video]

comment:12 Changed 8 years ago by bonefish

Component: System/Boot LoaderServers/app_server
Keywords: Boot image 512 MB RAM removed

Apparently the app server crashes:

1267	vm_soft_fault: va 0x8db000 not covered by area in address space
1268	vm_page_fault: vm_soft_fault returned error 'Bad address' on fault at 0x8dbd1c, ip 0x8dbd1c, write 0, user 1, thread 0x34
1269	vm_page_fault: thread "app_server" (52) in team "app_server" (52) tried to read address 0x8dbd1c, ip 0x8dbd1c ("???" +0x8dbd1c)
1270	debug_server: Thread 52 entered the debugger: Segment violation
1272	stack trace, current PC 0x8dbd1c  :
1273	  (0x7ffeedbc)  0x2779a5  Shutdown__6Screen + 0x31
1274	  (0x7ffeedec)  0x2778d5  _._6Screen + 0x29
1276	  (0x7ffeee1c)  0x2793a8  _AddHWInterface__13ScreenManagerP11HWInterface + 0x130
1277	  (0x7ffeee5c)  0x279233  _ScanDrivers__13ScreenManager + 0x63
1278	  (0x7ffeee8c)  0x278c57  __13ScreenManager + 0x5f
1279	  (0x7ffeeefc)  0x24ad65  __9AppServer + 0x1c5
1280	  (0x7ffeef4c)  0x24b639  main + 0x65
1281	  (0x7ffeef7c)  0x24a0bf  _start + 0x5b
1282	  (0x7ffeefac)  0x105d62  runtime_loader + 0x14a

Since the fault address is at the instruction pointer, that's likely when calling a virtual method or some function via function pointer. My guess would be the latter, in AccelerantHWInterface::Shutdown() (the function would be missing in the stack trace in such a situation).

comment:13 Changed 8 years ago by Karvjorm

This computer has a PhoenixBIOS version IP.01.07FI and there under Advanced menu is a strange "Memory Hole At 15M-16M [Disabled]" setting.

comment:14 Changed 8 years ago by tonestone57

I still believe this is a VESA related issue which is causing app server to crash.

Note, in your syslogs you have:

No VESA compatible graphics!

Saying VESA graphics is not available with your video card.

I notice that phy = 0 for all of your listed VESA modes. phy should not be 0 (from looking at other syslogs). It should be something like: phy = f0000000, phy = d1000000, phy = c0000000, ....

phy values are missing for you and good reason why you are not able to use VESA driver & modes.

comment:15 in reply to:  14 Changed 8 years ago by Karvjorm

Replying to tonestone57:

I still believe this is a VESA related issue which is causing app server to crash.

Note, in your syslogs you have:

No VESA compatible graphics!

Saying VESA graphics is not available with your video card.

I notice that phy = 0 for all of your listed VESA modes. phy should not be 0 (from looking at other syslogs). It should be something like: phy = f0000000, phy = d1000000, phy = c0000000, ....

phy values are missing for you and good reason why you are not able to use VESA driver & modes.

I have installed Kubuntu 10.4 from CD-ROM to that computer and KDE desktop is up and running, but obviously it is not using VESA graphics, then?

comment:16 Changed 8 years ago by tonestone57

You cannot compare Haiku's VESA driver to another OS (ie: Kubuntu). Kubuntu drivers are coded differently and may work. Haiku's VESA driver was coded a certain way which is not finding the phy values for your i815 graphics card.

phy should not be 0 for all of your VESA modes! VESA modes that have phy=0 will not work!

You will have to wait for Axel to look into this ticket. Short term workaround, use a different video card (many are supported by VESA driver) and Haiku should then boot for you. Look for cards that have VESA 2 or VESA 3 video BIOSes. PCI & AGP cards should work.

If this bug is easy to fix then it will get done quick but if hard to find why phy is not found (set to 0) for i815 VESA modes then can be long time to get fixed.

comment:17 Changed 8 years ago by ithamar

pcidatabase.com lists the (on-board) VGA as:

Chip Number: 	65416
Chip Description: 	Internal Graphics Device [810/815 chipset AGP]
Notes: 	fully featured Solano chipset, device 2

which suggest is it a i810/i815 chipset, which, as far as I can see from the intel_extreme driver code, not supported at the moment. Since the VESA isn't found in a usable state either, this means the app_server does not find _any_ working video card, and it could very well bomb out on that.... There's very little to do in that case. If you would try BeOS on this machine, it would probably go grayscale on you, using its support for plain VGA support.

I can second the suggestion to try another VGA card, I suspect that will be the quickest way to get it to work, as, if no developer has access to this hardware, and motivation to support this relatively old incarnation of the intel_extreme chipset, it will probably not happen any time soon.

The X11 drivers do support the i81x chipsets from Intel, and that's why Linux does work on this computer.

comment:18 Changed 7 years ago by scottmc

Blocking: 7665 added

comment:19 Changed 6 years ago by Caylon

I can confirm that the onboard VGA (0x1132) of the HP Vetra VL 400 doesn't work with Haiku (Alpha 3). I tried it with an old ATI Rage AGP and now it works, so the problem must be the onboard VGA. However this is old hardware.... (Zeta 1.5 has no problems with the onboard VGA)

comment:20 in reply to:  19 Changed 6 years ago by umccullough

Replying to Caylon:

I can confirm that the onboard VGA (0x1132) of the HP Vetra VL 400 doesn't work with Haiku (Alpha 3).

It seems this is an Intel i810 chip based on the deviceID.

Please try a recent nightly, only a couple weeks ago an experimental i810 driver was added to Haiku. Until then, none existed, and i810's VESA implementation was not supported by Haiku.

You will probably get a junk bootscreen, but hopefully you'll end up at a blue desktop.

comment:21 Changed 6 years ago by Caylon

yeah it works, also widescreen 1680x1050

comment:22 Changed 6 years ago by umccullough

Component: Servers/app_serverDrivers/Graphics/intel_810
Owner: changed from axeld to nobody

I was also hoping for confirmation from Karvjorm that this issue was resolved with hrev44219

comment:23 Changed 6 years ago by Karvjorm

OK, I tested this with hrevr1alpah4-44702 and it works now. I was able to install Haiku, and it boots but I still see only the following kind of screen (https://dev.haiku-os.org/attachment/ticket/6324/haikuboot20100628.png) prior to desktop.

There is also some problem with the usb mouses. Only ps2 mouse works find. I tried even a usb mouse with ps2 adapter, but it was very restless and I hardly was able to focus mouse pointer where I wanted to. But this ticket can be closed now.

Changed 6 years ago by Karvjorm

Attachment: syslog added

Syslog of the working system.

comment:27 Changed 3 months ago by cocobean

hrev52014 reviewed. Resolved. Can close this ticket (ticket also 8+ years old).

comment:28 Changed 2 months ago by waddlesplash

Resolution: fixed
Status: newclosed

comment:29 Changed 2 months ago by waddlesplash

Blocking: 7665 removed
Note: See TracTickets for help on using tickets.